Permalink
Switch branches/tags
Commits on May 8, 2014
  1. fix Spring version and add dependency on spring-orm to ensure correct…

    … version is used for new apps
    graemerocher committed May 8, 2014
Commits on May 7, 2014
  1. disable the Java 7 WatchService implementation for now, since it simp…

    …ly doesn't work in testing
    graemerocher committed May 7, 2014
  2. Merge branch '2.3.x'

    Conflicts:
    	gradle/assemble.gradle
    	grails-resources/src/grails/grails-app/conf/BuildConfig.groovy
    graemerocher committed May 7, 2014
  3. Merge branch '2.3.x'

    Conflicts:
    	build.gradle
    	build.properties
    	grails-test-suite-uber/src/test/groovy/grails/util/GrailsUtilTests.java
    graemerocher committed May 7, 2014
  4. Merge pull request #494 from roughy/bug/whitespaces_in_commandline_pa…

    …rameter
    
     GRAILS-11351 handle -D parameter with whitespaces
    graemerocher committed May 7, 2014
  5. move encoding related classes from grails-web-common to grails-encoder

    - keep old package names in Grails 2.4
    lhotari committed May 7, 2014
  6. Implementation for GRAILS-10813: Add support for preventing DOM based…

    … XSS attacks
    
    - Supports chaining several encoders / decoders
    lhotari committed May 7, 2014
Commits on May 6, 2014
  1. Merge branch 'GRAILS-11377'

    lhotari committed May 6, 2014
  2. GRAILS-11296 cleanup metaClass after each in-progress page rendering …

    …thread finishes. The metaClass might get re-inserted in the metaclass registry under concurrent access.
    lhotari committed May 6, 2014
  3. GRAILS-11377 Refactor CacheEntry to support passing cache request con…

    …text object that can be used for updating the cached value or checking expiration in custom CacheEntry class
    lhotari committed May 6, 2014
  4. GRAILS-11377 allow using CacheEntry as superclass for class that neve…

    …r stores a cache value
    
    - CacheEntry will be used only for preventing concurrent retrievals of a single cache key
    lhotari committed May 6, 2014
  5. exclude groovy-all as a transitive dependency from gpars

    Pulling in another version of Groovy is causing problems...
    
    Caused by: groovy.lang.GroovyRuntimeException: Conflicting module versions. Module [groovy-all is loaded in version 2.3.1-SNAPSHOT and you are trying to load version 2.1.9
    jeffbrown committed May 6, 2014
  6. Merge pull request #492 from jdpgrailsdev/maven_jdk_activation_fix

    JDK-based Maven profile activiation fix
    graemerocher committed May 6, 2014